POSModelSerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.util.model

## Class POSModelSerializer

- java.lang.Object
- - opennlp.tools.util.model.POSModelSerializer

- All Implemented Interfaces:
    ArtifactSerializer<POSModel>

      public class POSModelSerializer
      extends Object
      implements ArtifactSerializer<POSModel>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POSModelSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POSModel` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(POSModel artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### POSModelSerializer

          public POSModelSerializer()

  - ### Method Detail

    - #### create

          public POSModel create(InputStream in)
                          throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<POSModel>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(POSModel artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<POSModel>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.